SOAPMonitorHandler (Axis API)
Keywords: org.apache.axis.handlers.SOAPMonitorHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class SOAPMonitorHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.handlers.SOAPMonitorHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class SOAPMonitorHandler
extends BasicHandler

This handler is used to route SOAP messages to the SOAP monitor service.

Author:
  Brian Price (pricebe@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`SOAPMonitorHandler()` Constructor

Method Summary
`void` | `invoke(MessageContext messageContext)` Process and SOAP message

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPMonitorHandler

    public SOAPMonitorHandler()

  Constructor

Method Detail

### invoke

    public void invoke(MessageContext messageContext)
                throws AxisFault

  Process and SOAP message

  Parameters:
    `messageContext` - the `MessageContext` to process with this `Handler`.
  Throws:
    `AxisFault` - if the handler encounters an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.